Package: qemu-guest-agent
Version: 1:2.6+dfsg-3.1
Severity: normal
Tags: patch

Dear Maintainer,

A new Lintian Error has been added in Stretch, and it affects

E: qemu-guest-agent: init.d-script-needs-depends-on-lsb-base
guest-agent (line 38)

    The given init script sources the /lib/lsb/init-functions utility
    functions without declaring the corresponding dependency on lsb-base

    Severity: important, Certainty: possible

    Check: init.d, Type: binary

The fix is trivial, and a patch is attached.


Kind regards,
Luca Boccassi

From b45d0b93ac19e15497cde91557330b5ee558a4c5 Mon Sep 17 00:00:00 2001
From: Luca Boccassi <>
Date: Fri, 14 Oct 2016 11:24:57 +0100
Subject: [PATCH] Fix LE: init.d-script-needs-depends-on-lsb-base

 debian/control | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/debian/control b/debian/control
index 9191690..e65b330 100644
--- a/debian/control
+++ b/debian/control
@@ -446,7 +446,7 @@ Description: QEMU utilities
 Package: qemu-guest-agent
 Architecture: any
 Multi-Arch: foreign
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.0-6)
 Description: Guest-side qemu-system agent
  QEMU is a fast processor emulator: currently the package supports
  ARM, CRIS, i386, M68k (ColdFire), MicroBlaze, MIPS, PowerPC, SH4,

Reply via email to